FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202109092008.p0.git.9edcb7c.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202109092008.p0.git.9edcb7c.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9edcb7c OS_GIT_VERSION=4.8.0-202109092008.p0.git.9edcb7c.assembly.stream-9edcb7c SOURCE_DATE_EPOCH=1617650354 SOURCE_GIT_COMMIT=9edcb7c9b8ef642535274752fd1133f369f13ed8 SOURCE_GIT_TAG=9edcb7c SOURCE_GIT_URL=https://github.com/openshift/ib-sriov-cni 

COPY . /usr/src/ib-sriov-cni

WORKDIR /usr/src/ib-sriov-cni
RUN make clean && \
    make build

FROM openshift/ose-base:v4.8.0.20210909.201724
ENV __doozer=update BUILD_RELEASE=202109092008.p0.git.9edcb7c.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202109092008.p0.git.9edcb7c.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9edcb7c OS_GIT_VERSION=4.8.0-202109092008.p0.git.9edcb7c.assembly.stream-9edcb7c SOURCE_DATE_EPOCH=1617650354 SOURCE_GIT_COMMIT=9edcb7c9b8ef642535274752fd1133f369f13ed8 SOURCE_GIT_TAG=9edcb7c SOURCE_GIT_URL=https://github.com/openshift/ib-sriov-cni 
COPY --from=builder /usr/src/ib-sriov-cni/build/ib-sriov /usr/bin/
WORKDIR /


COPY ./images/entrypoint.sh /

ENTRYPOINT ["/entrypoint.sh"]

LABEL \
        io.k8s.display-name="InfiniBand SR-IOV CNI" \
        name="openshift/ose-sriov-infiniband-cni" \
        com.redhat.component="ib-sriov-cni-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202109092008.p0.git.9edcb7c.assembly.stream" \
        io.openshift.build.commit.id="9edcb7c9b8ef642535274752fd1133f369f13ed8" \
        io.openshift.build.source-location="https://github.com/openshift/ib-sriov-cni" \
        io.openshift.build.commit.url="https://github.com/openshift/ib-sriov-cni/commit/9edcb7c9b8ef642535274752fd1133f369f13ed8" \
        version="v4.8.0"

